
Smart Proxy - Bug #17868

dhcp option next-server ip not converted correctly

12/28/2016 07:40 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: DHCP   

Target version: 1.14.1   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: 1.13.2

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/486

  

Description

ISC file parser does not convert the next-server ip address correctly from "hex2ip" as method validate_ip is undefined.

Associated revisions

Revision dfc8ecb9 - 01/03/2017 10:19 AM - Timo Goebel 

fixes #17868 - dhcp: convert next-server ip correctly

History

#1 - 12/28/2016 07:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/486 added

#2 - 01/03/2017 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset dfc8ecb92ae19495560fb8734e8e39a88ac5b06c.

#3 - 01/04/2017 03:26 AM - Dominic Cleal

- translation missing: en.field_release set to 210
